description: Onboarding validation rule execution filter representation.
type: object
properties:
  executionIdIn:
    description: Select rule executions correlated by any of the given ids
    type: array
    items:
      type: string
      format: uuid
  documentTemplateIdIn:
    description: Select rule executions of rules related to any of the given document templates
    type: array
    items:
      type: string
      format: uuid
  validationRuleIdIn:
    description: Select rule executions of rules identified by any of the given ids
    type: array
    items:
      type: string
      format: uuid
  statusIn:
    description: Select rule executions of rules in any of the given statuses
    type: array
    items:
      $ref: ./ValidationRuleExecutionStatus.yaml